> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /apify/actors/search

> Search Apify Store actors by keyword

**Price:** 10 credits per 1000 results



## OpenAPI

````yaml /openapi/developer-data.json post /api/apify/actors/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/apify/actors/search:
    post:
      tags:
        - /apify
      summary: /apify/actors/search
      description: |-
        Search Apify Store actors by keyword

        **Price:** 10 credits per 1000 results
      operationId: __api_apify_actors_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApifyActorsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApifySearchActor'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ApifyActorsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - keyword
        - count
    ApifySearchActor:
      properties:
        '@type':
          type: string
          default: ApifySearchActor
        id:
          type: string
        name:
          type: string
        username:
          type: string
        alias:
          type: string
        web_url:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        author_name:
          anyOf:
            - type: string
            - type: 'null'
        author_image:
          anyOf:
            - type: string
            - type: 'null'
        badge:
          anyOf:
            - type: string
            - type: 'null'
        notice:
          anyOf:
            - type: string
            - type: 'null'
        categories:
          items:
            type: string
          type: array
          default: []
        stats:
          anyOf:
            - $ref: '#/components/schemas/ApifyActorStats'
            - type: 'null'
        pricing:
          anyOf:
            - $ref: '#/components/schemas/ApifyActorPricing'
            - type: 'null'
      type: object
      required:
        - id
        - name
        - username
        - alias
        - web_url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ApifyActorStats:
      properties:
        '@type':
          type: string
          default: ApifyActorStats
        run_count:
          type: integer
          default: 0
        user_count:
          type: integer
          default: 0
        user_count_7_days:
          anyOf:
            - type: integer
            - type: 'null'
        user_count_30_days:
          anyOf:
            - type: integer
            - type: 'null'
        user_count_90_days:
          anyOf:
            - type: integer
            - type: 'null'
        build_count:
          anyOf:
            - type: integer
            - type: 'null'
        bookmark_count:
          anyOf:
            - type: integer
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        review_rating:
          anyOf:
            - type: number
            - type: 'null'
        last_run_at:
          anyOf:
            - type: string
            - type: 'null'
        run_stats_30_days:
          anyOf:
            - $ref: '#/components/schemas/ApifyActorRunStats'
            - type: 'null'
      type: object
    ApifyActorPricing:
      properties:
        '@type':
          type: string
          default: ApifyActorPricing
        pricing_model:
          type: string
        price_per_unit_usd:
          anyOf:
            - type: number
            - type: 'null'
        unit_name:
          anyOf:
            - type: string
            - type: 'null'
        trial_minutes:
          anyOf:
            - type: integer
            - type: 'null'
        minimal_max_total_charge_usd:
          anyOf:
            - type: number
            - type: 'null'
        apify_margin_percentage:
          anyOf:
            - type: number
            - type: 'null'
        started_at:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        events:
          items:
            $ref: '#/components/schemas/ApifyActorPricingEvent'
          type: array
          default: []
      type: object
      required:
        - pricing_model
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    ApifyActorRunStats:
      properties:
        '@type':
          type: string
          default: ApifyActorRunStats
        succeeded_count:
          type: integer
          default: 0
        failed_count:
          type: integer
          default: 0
        aborted_count:
          type: integer
          default: 0
        timed_out_count:
          type: integer
          default: 0
        total_count:
          type: integer
          default: 0
      type: object
    ApifyActorPricingEvent:
      properties:
        '@type':
          type: string
          default: ApifyActorPricingEvent
        key:
          type: string
        is_primary:
          type: boolean
          default: false
        is_one_time:
          type: boolean
          default: false
        price_usd:
          anyOf:
            - type: number
            - type: 'null'
        tiered_prices_usd:
          additionalProperties:
            type: number
          type: object
          default: {}
      type: object
      required:
        - key
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````